function RandomPolyInterpolation(num_points)
% This function:
%    RandomPolyInterpolation(num_points)
% generates a number of random data points and performs 
% polynomial interpolation.
%
% input arguments:
%   num_points - the number of random point generated
%
% output arguments:
%   none
%

%create the X-range:
X = 1:num_points;

%create corresponding random Y-values:
Y = rand(1,num_points)*100;

%perform polynomial evaluation
c = polyfit(X,Y,num_points-1);

%generate finer spaced x-values:
Xfull = linspace(0,num_points+1, num_points*100);

%get their y-values according to the interpolation:
Yfull_p = polyval(c, Xfull);

%plot the functions
hold off;
plot(X,Y,'+r')
hold on;
plot(Xfull, Yfull_p, '-b');


